## pgtcl 1.9+git20120911

=== doc/Makefile ===
#
# Makefile for making html and pdf documentation (etc) of the libpgtcl 
# interface.
#
# This requires all that complicated docbook sgml stuff, plus tex if you
# want to generate postscript or pdf.  You need at least
# openjade and pdfjadetex to run it, plus all the stuff they need.
#
# There is a lot of useful information on
#
#     http://www.postgresql.org/docs/7.3/static/doc-toolsets.html
#
#
# $Id$
#


DOCBOOKDIR=/usr/local/share/sgml/docbook/dsssl/modular/catalog
STYLESHEET=stylesheet.dsl
SGMLSOURCE=libpgtcl.sgml

all:	libpgtcl.pdf

dohtml:
	-rm html/*.html
	-openjade -V draft-mode -wall -wno-unused-param -wno-empty -D . -c $(DOCBOOKDIR) -d $(STYLESHEET) -i output-html -t sgml $(SGMLSOURCE)
	-mkdir html
	mv *.html html

libpgtcl.pdf:	$(SGMLSOURCE)
	openjade -V draft-mode -D . -c $(DOCBOOKDIR) -d $(STYLESHEET) -t tex -V tex-backend -i output-print -V texpdf-output -o libpgtcl.tex-pdf $(SGMLSOURCE)
	pdfjadetex libpgtcl.tex-pdf
	rm -f libpgtcl.tex-pdf

clean:
	rm -f libpgtcl.aux libpgtcl.log libpgtcl.out HTML.index libpgtcl.tex-pdf libpgtcl.fot

=== playpen/pghelpers/Makefile ===
#
#
# $Id$
#

FILES= postgres-helpers.tcl
INSTALLDIR= /usr/local/lib/sc_postgres

all:	pkgIndex.tcl

pkgIndex.tcl:	$(FILES)
	echo 'pkg_mkIndex -verbose -- .' | tclsh8.5


install:	all
	mkdir -p $(INSTALLDIR)
	cp $(FILES) pkgIndex.tcl $(INSTALLDIR)

clean:
	rm -f pkgIndex.tcl

## pgtcl 1.5

=== debian/changelog ===
pgtcl (1:1.5-6) unstable; urgency=low

  * QA upload.
  * Fix build on kFreeBSD.
  * Use dh-autoreconf instead of patching configure.
  * Happy New Year, Debian!

 -- Andrew O. Shadura <bugzilla@tut.by>  Sat, 31 Dec 2011 19:29:00 +0000

pgtcl (1:1.5-5) unstable; urgency=low

  * QA upload.
  * Upgrade to Tcl 8.5.
  * Bump Standards-Version to 3.9.2.
  * Use DebSrc3.0 (quilt) source format.
  * Add homepage.
  * Add watch file.
  * Introduce a strict dependency between the binary packages.
  * Update copyright file.
  * Fix doc-base descriptor.

 -- Andrew O. Shadura <bugzilla@tut.by>  Fri, 30 Dec 2011 12:21:21 +0300

pgtcl (1:1.5-4) unstable; urgency=low

  * Orphan package.
  * Add missing ${misc:Depends}.
  * Bump dh compat level to 5.
  * Bump Standards-Version to 3.8.3.

 -- Martin Pitt <mpitt@debian.org>  Mon, 21 Sep 2009 11:58:09 +0200

pgtcl (1:1.5-3) unstable; urgency=low

  * Add debian/patches/01_fix_configure_syntax.patch:
    - Fix erroneous quoting in tclconfig/tcl.m4.
  * Add debian/patches/99_autoreconf.patch:
    - Applied above changes to configure.
    - This should fix the FTBFS on hppa.

 -- Martin Pitt <mpitt@debian.org>  Fri, 10 Feb 2006 00:24:29 +0100

pgtcl (1:1.5-2) unstable; urgency=low

  * Conflict/Replace/Provide the old libpgtcl package. Closes: #341582

 -- Martin Pitt <mpitt@debian.org>  Wed,  7 Dec 2005 15:47:08 +0100

pgtcl (1:1.5-1) unstable; urgency=low

  * Initial release; previously, this was built from the postgresql sources,
    but upstream split it out to a separate package now.

 -- Martin Pitt <mpitt@debian.org>  Tue, 20 Sep 2005 20:48:34 +0200

=== debian/control ===
Source: pgtcl
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cdbs, debhelper (>= 5), tcl-dev, libpq-dev, dh-autoreconf
Standards-Version: 3.9.2
Homepage: http://pgfoundry.org/projects/pgtcl
Section: libs

Package: libpgtcl1.5
Depends: ${shlibs:Depends}, ${misc:Depends}, ${tcl:Depends}
Conflicts: libpgtcl
Provides: libpgtcl
Replaces: libpgtcl
Architecture: any
Description: Tcl client library binding for PostgreSQL
 This library provides Tcl bindings to the PostgreSQL client library (libpq),
 which is used to communicate with the PostgreSQL database server. 
 .
 PostgreSQL is an object-relational SQL database management system.
 Tcl is a widely used and easily extended interpreted language.

Package: libpgtcl-dev
Section: libdevel
Architecture: any
Depends: libpgtcl1.5 (= ${binary:Version}), ${misc:Depends}
Description: Tcl client library binding for PostgreSQL - development files
 This library provides Tcl bindings to the PostgreSQL client library (libpq),
 which is used to communicate with the PostgreSQL database server. 
 This package contains the static library and header files.
 .
 PostgreSQL is an object-relational SQL database management system.
 Tcl is a widely used and easily extended interpreted language.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS := --with-tcl=/usr/lib --with-tclinclude=/usr/include/tcl
DEB_MAKE_INSTALL_TARGET := install-binaries DESTDIR=$(DEB_DESTDIR)

install/libpgtcl1.5::
	tcltk-depends

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

version=3

http://pgfoundry.org/frs/?group_id=1000086 .*pgtcl-?(.*)\.tar\.gz

## pgtcl 1.9%2Bgit20120911

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk

include /usr/share/dpkg/buildflags.mk

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/tcltk/$(DEB_HOST_MULTIARCH)

DEB_MAKE_INSTALL_TARGET := install-binaries DESTDIR=$(DEB_DESTDIR)

DEB_INSTALL_DOCS_libpgtcl-dev = -X TODO

install/libpgtcl::
	tcltk-depends

clean::
	dh_clean

## pgtcl 1.9+git20120911

=== debian/changelog ===
pgtcl (1:1.9+git20120911-3) unstable; urgency=low

  * Fix build on mips*: use default link search path (closes: #722817).
  * Multiarch support for libpgtcl.
  * Update to standards version 3.9.5 (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 02 Sep 2014 09:56:32 +0100

pgtcl (1:1.9+git20120911-2) unstable; urgency=low

  * Remove obsolete patch 02_hurd_kfreebsd.patch.
  * New patch Fix_PQsendQuery_return_type to fix handling of
    PQsendQuery*() return type and associated compiler warnings.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 22 Mar 2013 10:04:52 +0000

pgtcl (1:1.9+git20120911-1) unstable; urgency=low

  * New upstream version 1.9.
  * Rename binary runtime package to libpgtcl (Conflicts and Replaces
    libpgtcl1.5).
  * Remove patches 01_fix_configure_syntax as fixed upstream.
  * Remove patch 03_honour-ldflags as relro hardening is now picked up
    correctly from LDFLAGS.  
  * Call dh_clean in debian/rules clean:: target to prevent debhelper.log
    files appearing in the source tarball and associated lintian warning.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 26 Jan 2013 13:51:05 +0000

pgtcl (1:1.5-7) unstable; urgency=low

  * New maintainer (closes: #547642).
  * Update to standards version 3.9.3 (no changes).
  * Fix lintian warnings:
     - Include BSD licence directly rather than linking to
    /usr/share/common-licenses/BSD/  
     - Harden build with fortify functions and link with relro.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 21 Jan 2013 17:23:25 +0000

=== debian/control ===
Source: pgtcl
Priority: optional
Maintainer: Mark Hindley <mark@hindley.org.uk>
Build-Depends: cdbs, debhelper (>= 5), tcl-dev, libpq-dev, dh-autoreconf, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.5
Homepage: http://github.com/flightaware/pgtcl/
Section: libs

Package: libpgtcl
Depends: ${shlibs:Depends}, ${misc:Depends}, ${tcl:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Conflicts: libpgtcl1.5, tcl8.5 (<< 8.5.15-3)
Replaces: libpgtcl1.5
Architecture: any
Description: Tcl client library binding for PostgreSQL
 This library provides Tcl bindings to the PostgreSQL client library (libpq),
 which is used to communicate with the PostgreSQL database server. 
 .
 PostgreSQL is an object-relational SQL database management system.
 Tcl is a widely used and easily extended interpreted language.

Package: libpgtcl-dev
Section: libdevel
Architecture: any
Depends: libpgtcl (= ${binary:Version}), ${misc:Depends}
Description: Tcl client library binding for PostgreSQL - development files
 This library provides Tcl bindings to the PostgreSQL client library (libpq),
 which is used to communicate with the PostgreSQL database server. 
 This package contains the static library and header files.
 .
 PostgreSQL is an object-relational SQL database management system.
 Tcl is a widely used and easily extended interpreted language.

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

version=3

# Upstream has moved to GitHub but is not currently 
# tagging releases. Suggestions for tracking upstream 
# releases in this case gratefully received.

## pgtcl 2.6.1

=== doc/Makefile ===
--- 
+++ 
@@ -10,8 +10,9 @@
 #
 #     http://www.postgresql.org/docs/7.3/static/doc-toolsets.html
 #
+# The man page generation requires docbook2X
 #
-# $Id$
+#	http://docbook2x.sourceforge.net/
 #
 
 
@@ -19,18 +20,36 @@
 STYLESHEET=stylesheet.dsl
 SGMLSOURCE=libpgtcl.sgml
 
-all:	libpgtcl.pdf
+all:	html man pdf
 
-dohtml:
-	-rm html/*.html
-	-openjade -V draft-mode -wall -wno-unused-param -wno-empty -D . -c $(DOCBOOKDIR) -d $(STYLESHEET) -i output-html -t sgml $(SGMLSOURCE)
+.PHONY: html man pdf clean
+
+html:	html/HTML.index
+html/HTML.index:	$(SGMLSOURCE)
+	-rm html/*.html html/HTML.index
+	-rmdir html
 	-mkdir html
-	mv *.html html
+	cd html && openjade -V draft-mode -wall -wno-unused-param -wno-empty -D .. -c $(DOCBOOKDIR) -d $(STYLESHEET) -i output-html -t sgml $(SGMLSOURCE)
+	-find html/ -type f -name "*.html" -exec tidy5 -quiet -wrap 2000 -modify \{\} \;
+	sh ./clean-html.sh html/*
 
+# docbook2X is written for version 5.0 of the DTD, so patch the SGML to claim it's 5.0
+man:	$(SGMLSOURCE)
+	-rm -rf man
+	-mkdir man
+	cp $(SGMLSOURCE) man/$(SGMLSOURCE)
+	patch man/$(SGMLSOURCE) < dtd-patch.txt
+	cd man && docbook2man --string-param default-manpage-section=n $(SGMLSOURCE)
+	rm man/$(SGMLSOURCE)*
+	sh ./fix-fi.sh man/*
+	sh ./clean-man.sh man/*
+
+
+pdf:	libpgtcl.pdf
 libpgtcl.pdf:	$(SGMLSOURCE)
 	openjade -V draft-mode -D . -c $(DOCBOOKDIR) -d $(STYLESHEET) -t tex -V tex-backend -i output-print -V texpdf-output -o libpgtcl.tex-pdf $(SGMLSOURCE)
 	pdfjadetex libpgtcl.tex-pdf
 	rm -f libpgtcl.tex-pdf
 
 clean:
-	rm -f libpgtcl.aux libpgtcl.log libpgtcl.out HTML.index libpgtcl.tex-pdf libpgtcl.fot
+	rm -f libpgtcl.aux libpgtcl.log libpgtcl.out libpgtcl.tex-pdf libpgtcl.fot

=== debian/changelog ===
pgtcl (1:2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1.
  * Remove Fix_PQsendQuery_return_type.patch as fixed upstream.
  * Add debian/watch rule.
  * Mark libpgtcl-dev as Multi-Arch: same.
  * Update to Standards version 4.2.1 (no changes).
  * Update to debhelper compatibility 10:
    - Don't clean configure or aclocal.m4 in debian/clean.
    - Remove redundant clean:: target to prevent multiple
      invocations of dh_clean.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 01 Oct 2018 11:14:14 +0100

pgtcl (1:1.9+git20120911-4) unstable; urgency=low

  * Update to standards version 3.9.7 (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 23 Feb 2016 20:49:13 +0000

=== debian/control ===
Source: pgtcl
Priority: optional
Maintainer: Mark Hindley <mark@hindley.org.uk>
Build-Depends: cdbs, debhelper (>= 10), tcl-dev, libpq-dev, dh-autoreconf, dpkg-dev (>= 1.16.1~)
Standards-Version: 4.2.1
Homepage: http://github.com/flightaware/pgtcl/
Section: libs

Package: libpgtcl
Depends: ${shlibs:Depends}, ${misc:Depends}, ${tcl:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Conflicts: libpgtcl1.5, tcl8.5 (<< 8.5.15-3)
Replaces: libpgtcl1.5
Architecture: any
Description: Tcl client library binding for PostgreSQL
 This library provides Tcl bindings to the PostgreSQL client library (libpq),
 which is used to communicate with the PostgreSQL database server.
 .
 PostgreSQL is an object-relational SQL database management system.
 Tcl is a widely used and easily extended interpreted language.

Package: libpgtcl-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends: libpgtcl (= ${binary:Version}), ${misc:Depends}
Description: Tcl client library binding for PostgreSQL - development files
 This library provides Tcl bindings to the PostgreSQL client library (libpq),
 which is used to communicate with the PostgreSQL database server.
 This package contains the static library and header files.
 .
 PostgreSQL is an object-relational SQL database management system.
 Tcl is a widely used and easily extended interpreted language.

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,3 @@
 
 install/libpgtcl::
 	tcltk-depends
-
-clean::
-	dh_clean

## pgtcl 2.7.5

=== debian/changelog ===
pgtcl (1:2.7.5-1) unstable; urgency=medium

  * New upstream version 2.7.5.
  * Change to debhelper-compat 12.
  * Bump Standards Version 4.5.0 (no changes).
  * Run wrap-and-sort.
  * d/rules: use default dh_auto* makefile.
  * d/not-installed: add *.n manpages.
  * Update libpgtcl-dev description.
  * libpgtcl-dev: install correct public headers in /usr/include.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 24 Nov 2020 16:32:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: pgtcl
 Priority: optional
 Maintainer: Mark Hindley <mark@hindley.org.uk>
-Build-Depends: cdbs, debhelper (>= 10), tcl-dev, libpq-dev, dh-autoreconf, dpkg-dev (>= 1.16.1~)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12),
+               dpkg-dev (>= 1.16.1~),
+               libpq-dev,
+               tcl-dev
+Standards-Version: 4.5.0
 Homepage: http://github.com/flightaware/pgtcl/
 Section: libs
 
 Package: libpgtcl
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${tcl:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${tcl:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Conflicts: libpgtcl1.5, tcl8.5 (<< 8.5.15-3)
@@ -28,7 +31,7 @@
 Description: Tcl client library binding for PostgreSQL - development files
  This library provides Tcl bindings to the PostgreSQL client library (libpq),
  which is used to communicate with the PostgreSQL database server.
- This package contains the static library and header files.
+ This package contains the header files and html/pdf documentation.
  .
  PostgreSQL is an object-relational SQL database management system.
  Tcl is a widely used and easily extended interpreted language.

## pgtcl 2.8.0

=== doc/Makefile ===
#
# Makefile for making html and pdf documentation (etc) of the libpgtcl 
# interface.
#
# This requires all that complicated docbook sgml stuff, plus tex if you
# want to generate postscript or pdf.  You need at least
# openjade and pdfjadetex to run it, plus all the stuff they need.
#
# There is a lot of useful information on
#
#     http://www.postgresql.org/docs/7.3/static/doc-toolsets.html
#
# The man page generation requires docbook2X
#
#	http://docbook2x.sourceforge.net/
#


STYLESHEET=stylesheet.dsl
SGMLSOURCE=libpgtcl.sgml

all:	html man pdf

.PHONY: html man pdf clean

html:	html/HTML.index
html/HTML.index:	$(SGMLSOURCE)
	-rm -rf html
	-mkdir html
	cd html && docbook2html -s /usr/share/xml/docbook/schema -i output-html -d ../$(STYLESHEET) ../$(SGMLSOURCE)
	-find html/ -type f -name "*.html" -exec tidy -quiet -wrap 2000 -modify \{\} \;
	sh ./clean-html.sh html/*

man:	$(SGMLSOURCE)
	-rm -rf man
	-mkdir man
	cp $(SGMLSOURCE) man/$(SGMLSOURCE)
	cd man && docbook2man -V default-manpage-section=n $(SGMLSOURCE)
	rm man/$(SGMLSOURCE)*
	find man -name \*\. -exec mv {} {}n \;
	sh ./fix-fi.sh man/*
	sh ./clean-man.sh man/*


# Install Debian packages docbook-utils and ghostscript
pdf:	libpgtcl.pdf
libpgtcl.pdf:	$(SGMLSOURCE)
	rm -f libpgtcl.ps libpgtcl.pdf
	docbook2ps -V default-manpage-section=n $(SGMLSOURCE)
	ps2pdf libpgtcl.ps

clean:
	rm -rf man html libpgtcl.aux libpgtcl.log libpgtcl.out libpgtcl.tex-pdf libpgtcl.fot

all-man-docker:
	mkdir -p docker-context
	cd docker-context && docker build -t pgtcl-doc -f ../Dockerfile .
	docker run --rm -it -v $$PWD:/root/doc pgtcl-doc  make all
	docker rmi pgtcl-doc

=== debian/changelog ===
pgtcl (1:2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0
  * Bump Standards Version (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 16 Feb 2022 08:15:37 +0000

pgtcl (1:2.7.7-1) unstable; urgency=medium

  * New upstream version 2.7.7
  * Bump debhelper-compat to 13.
  * Update to Standards Version 4.5.1 (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 12 Aug 2021 22:03:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: pgtcl
 Priority: optional
 Maintainer: Mark Hindley <mark@hindley.org.uk>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
                libpq-dev,
                tcl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://github.com/flightaware/pgtcl/
 Section: libs

## pgtcl 3.0.0

=== debian/changelog ===
pgtcl (1:3.0.0-1+deb12u1) bookworm; urgency=medium

  * Install library in default Tcl auto_path (Closes: #1089166).

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 09 Dec 2024 16:23:17 +0000

pgtcl (1:3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 29 May 2022 18:01:52 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
                dpkg-dev (>= 1.16.1~),
                libpq-dev,
                tcl-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: http://github.com/flightaware/pgtcl/
 Section: libs

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

version=3

# For GitHub projects you can use the tags or releases page.  Since the archive
# URLs use only the version as the name, it is recommended to use a
# filenamemangle to adjust the name of the downloaded file:
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/pgtcl-$1.tar.gz/" \
 https://github.com/flightaware/pgtcl/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## pgtcl 3.0.1

=== debian/changelog ===
pgtcl (1:3.0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 09 Jan 2024 15:22:42 +0000

pgtcl (1:3.0.0-2) unstable; urgency=medium

  * libpgtcl: install modules in default Tcl auto_path (Closes: #1050375).  
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 20 Sep 2023 19:35:45 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
                dpkg-dev (>= 1.16.1~),
                libpq-dev,
                tcl-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://github.com/flightaware/pgtcl/
 Section: libs

## pgtcl 3.1.0

=== debian/changelog ===
pgtcl (1:3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 16 May 2024 09:29:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
                dpkg-dev (>= 1.16.1~),
                libpq-dev,
                tcl-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://github.com/flightaware/pgtcl/
 Section: libs

## pgtcl 3.1.1

=== debian/changelog ===
pgtcl (1:3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 26 Apr 2025 09:35:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
                dpkg-dev (>= 1.16.1~),
                libpq-dev,
                tcl-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://github.com/flightaware/pgtcl/
 Section: libs
